commit 105c267f8ae772ff2dd30d432d6618e1dd6cad0f
Author: Nikhil Dasan <n-dasan@ti.com>
Date:   Fri Aug 5 17:34:25 2022 +0530

    Fix_DSS_Freeze
    
    Signed-off-by: Nikhil Dasan <n-dasan@ti.com>

diff --git a/packages/ti/drv/dss/src/drv/disp/dss_dispApi.c b/packages/ti/drv/dss/src/drv/disp/dss_dispApi.c
index b49ffbc..7048873 100755
--- a/packages/ti/drv/dss/src/drv/disp/dss_dispApi.c
+++ b/packages/ti/drv/dss/src/drv/disp/dss_dispApi.c
@@ -1611,7 +1611,7 @@ static int32_t Dss_dispDrvSetPipeSafetyParamsIoctl(
                                 (const uint32_t *)&safetyEvt,
                                 1U,
                                 Dss_dispSafetyErrCbFxn,
-                                (void *)&gDss_DispEvtMgrClientInfo[numHandle]);
+                                (void *)&(instObj->evtMgrClientInfo));
         instObj->numRegEvtHandle++;
 
         /* Call CSL APIs */
@@ -2090,7 +2090,6 @@ static void Dss_dispSafetyErrCbFxn(const uint32_t *event,
     Dss_DispDrvInstObj *instObj;
     CSL_dss_pipeRegs *pipeRegs;
     const Dss_SocInfo *socInfo;
-
     /* Get pipe id */
     Dss_convEventGrouptoModule(eventGroup, &pipeId);
     GT_assert(DssTrace, (CSL_DSS_MODULE_INVALID != pipeId));
diff --git a/packages/ti/drv/dss/src/drv/disp/dss_dispPriv.h b/packages/ti/drv/dss/src/drv/disp/dss_dispPriv.h
index a76edb7..914d090 100755
--- a/packages/ti/drv/dss/src/drv/disp/dss_dispPriv.h
+++ b/packages/ti/drv/dss/src/drv/disp/dss_dispPriv.h
@@ -214,6 +214,8 @@ struct Dss_DispDrvInstObj_t
      *   context */
     uint32_t inScanFormat;
     /**< Input scan format, for valid values check #Fvid2_ScanFormat */
+    Dss_EvtMgrClientInfo evtMgrClientInfo;
+    /**< This tells the event group into which registered event belongs */
     SemaphoreP_Handle lockSem;
     /**< Semaphore to protect the open/close calls and other memory
      *   allocation per instance */
